commit:     04380c00507bac5957ba6a4569db6b807aaa4000
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  9 08:14:00 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  9 08:23:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04380c00

dev-python/django-otp: Bump to 1.0.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-otp/Manifest                |  1 +
 dev-python/django-otp/django-otp-1.0.5.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index f3112c9113f..291a0959abd 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1,3 +1,4 @@
 DIST django-otp-1.0.2.gh.tar.gz 66885 BLAKE2B 
be98b68f0aa5df25835afa28a23d25e0353dc2d556e62bdf1610a44a409a8e48422e17f274b21eb7cbd421cc4a25a35d01e5d7b3bd99d9caec8c8060da26f57a
 SHA512 
6fe7f79858bdf362dd35e1aeb87c086edd5daf17d4429fc4cb39f3d287ee4c7cf8fb2d6d8f6a7d1b4606104d6732a705b9285f9fec93e4e7c7ca3f3f52541ddd
 DIST django-otp-1.0.3.gh.tar.gz 67007 BLAKE2B 
33aed04898afb6ad3940e06436a1d2b4b9349e8fcd55acba0719084939fb9b111e0c266f4964826491f91f832c16f2e4d505486016bfad416706e3e7ef6f3f37
 SHA512 
7b661228377fa57812a45888e415478cee49d1e343cbc814ba8631f4c354077901ec82f79e69abd00c6bad1dffa026d3e03f4cf0809b074ae1e02ab2cf878137
 DIST django-otp-1.0.4.gh.tar.gz 68976 BLAKE2B 
30908c3769ca9c05c850524d8a3b155f7ac8fcfa8e69073622d83808d7b78293604f9b332e59b074a6737188ca4f53ede13d31d283588605ca17f994bf5d4e5e
 SHA512 
7b37fbc56a708f5c26e6204fba344235c7823db66d7e3e56b74516efc8a1de4150c088ce2d94c04c10855f438b077599d361a4d2c2263e8ff2936309dc0ddb6e
+DIST django-otp-1.0.5.gh.tar.gz 68677 BLAKE2B 
fd4fe66695faf4a75fc9cdab69241520c42c50d013121375bed2cb0f04a71def8e64588e3ac5727cfb319cb025273cb5adfd5d3b0dbab06590967c58e2b36e37
 SHA512 
bfdfe6d5058a6bead28a756392a76301cb821b5ea4f61dff8d376aa7732aa92bf8d709cb964d23e94ed37ec0e3ae45768f4fc4a98aaabfb2be0788bb0059f10c

diff --git a/dev-python/django-otp/django-otp-1.0.5.ebuild 
b/dev-python/django-otp/django-otp-1.0.5.ebuild
new file mode 100644
index 00000000000..26c9a4b8f2a
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.0.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time 
passwords"
+HOMEPAGE="https://github.com/django-otp/django-otp/";
+SRC_URI="
+       https://github.com/django-otp/django-otp/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/qrcode[${PYTHON_USEDEP}]
+               ${RDEPEND}
+       )"
+
+python_test() {
+       local -x PYTHONPATH=test:${PYTHONPATH}
+       local -x DJANGO_SETTINGS_MODULE=test_project.settings
+       django-admin test -v 2 django_otp || die "Tests fail with ${EPYTHON}"
+}

Reply via email to